VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Public Attributes | List of all members
CFontChooserUIDefinition Struct Reference
Version 4.0

## Public Member Functions
| CFontChooserUIDefinition (CFontRef font=kSystemFont, const CColor &fontColor=kWhiteCColor, const CColor &selectionColor=kBlueCColor, const CColor &rowlineColor=kGreyCColor, const CColor &rowBackColor=kTransparentCColor, const CColor &rowAlternateBackColor=kTransparentCColor, const CColor &previewTextColor=kBlackCColor, const CColor &previewBackgroundColor=kWhiteCColor, const CColor &scrollbarScrollerColor=kBlueCColor, const CColor &scrollbarFrameColor=kBlackCColor, const CColor &scrollbarBackgroundColor=kGreyCColor, int32_t rowHeight=-1, CCoord scrollbarWidth=16)

## Public Attributes
CFontRef | font
int32_t | rowHeight
CColor | fontColor
CColor | selectionColor
CColor | rowlineColor
CColor | rowBackColor
CColor | rowAlternateBackColor
CColor | previewTextColor
CColor | previewBackgroundColor
CColor | scrollbarScrollerColor
CColor | scrollbarFrameColor
CColor | scrollbarBackgroundColor
CCoord | scrollbarWidth

## Constructor & Destructor Documentation

CFontChooserUIDefinition | ( | CFontRef | font = `kSystemFont`,
|  | const CColor & | fontColor = `kWhiteCColor`,
|  | const CColor & | selectionColor = `kBlueCColor`,
|  | const CColor & | rowlineColor = `kGreyCColor`,
|  | const CColor & | rowBackColor = `kTransparentCColor`,
|  | const CColor & | rowAlternateBackColor = `kTransparentCColor`,
|  | const CColor & | previewTextColor = `kBlackCColor`,
|  | const CColor & | previewBackgroundColor = `kWhiteCColor`,
|  | const CColor & | scrollbarScrollerColor = `kBlueCColor`,
|  | const CColor & | scrollbarFrameColor = `kBlackCColor`,
|  | const CColor & | scrollbarBackgroundColor = `kGreyCColor`,
|  | int32_t | rowHeight = `-1`,
|  | CCoord | scrollbarWidth = `16`
| ) |  |
| inline

## Member Data Documentation

CFontRef font

CColor fontColor

CColor previewBackgroundColor

CColor previewTextColor

CColor rowAlternateBackColor

CColor rowBackColor

int32_t rowHeight

CColor rowlineColor

CColor scrollbarBackgroundColor

CColor scrollbarFrameColor

CColor scrollbarScrollerColor

CCoord scrollbarWidth

CColor selectionColor

The documentation for this struct was generated from the following file:

- cfontchooser.h